Bug 29186 - segfaults on regex parameter
Summary: segfaults on regex parameter
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: slocate (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-24 15:01 UTC by geoff mcnamara
Modified: 2014-03-17 02:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-24 15:01:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description geoff mcnamara 2001-02-24 15:01:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1-0.1.9 i586)


When calling locate -r [reg-expression] - the program segfaults

Reproducible: Always
Steps to Reproduce:
1. did a rhat 6.x upgrade to 7 beta wolverine
2. tried to do a locate -r "vim$"
3. = segfault
	

Actual Results:  THe program dies an ignoble death - no core drop 

Expected Results:  Should do a search through the database index

Comment 1 Bill Nottingham 2001-02-26 17:35:29 UTC
will be fixed in 2.5-5.


Note You need to log in before you can comment on or make changes to this bug.